Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2008-1384

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2008-1384
Last Modified 30 Oct 2012 10:54:30
Published 27 Mar 2008 01:44:00
Confidentiality Impact NONE NONE
Integrity Impact NONE NONE
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2008-1384

Summary

Integer overflow in PHP 5.2.5 and earlier allows context-dependent attackers to cause a denial of service and possibly have unspecified other impact via a printf format parameter with a large width specifier, related to the php_sprintf_appendstring function in formatted_print.c and probably other functions for formatted strings (aka *printf functions).

Vulnerable Systems

Application

  • Php 5.2.5


References

XF - php-phpsprintfappendstring-overflow(41386)

UBUNTU - USN-628-1

BID - 28392

BUGTRAQ - 20080527 rPSA-2008-0178-1 php php-mysql php-pgsql

BUGTRAQ - 20080321 {securityreason.com}PHP 5 *printf() - Integer Overflow

MANDRIVA - MDVSA-2009:023

MANDRIVA - MDVSA-2009:022

DEBIAN - DSA-1572

CONFIRM - http://wiki.rpath.com/wiki/Advisories:rPSA-2008-0178

SREASONRES - 20080320 PHP 5.2.5 and prior : *printf() functions Integer Overflow

SECUNIA - 31200

SECUNIA - 30967

SECUNIA - 30411

SECUNIA - 30158

SUSE - SUSE-SR:2008:014

CONFIRM - http://cvs.php.net/viewvc.cgi/php-src/NEWS?revision=1.2027.2.547.2.1120&view=markup

CONFIRM - https://issues.rpath.com/browse/RPL-2503

BUGTRAQ - 20080523 rPSA-2008-0176-1 php php-cgi php-imap php-mcrypt php-mysql php-mysqli php-pgsql php-soap php-xsl php5 php5-cgi php5-imap php5-mcrypt php5-mysql php5-mysqli php5-pear php5-pgsql php5-soap php5-xsl

CONFIRM - http://wiki.rpath.com/wiki/Advisories:rPSA-2008-0176

SECUNIA - 30345

GENTOO - GLSA-200811-05

SECUNIA - 32746


Last Updated: 27 May 2016 10:55:04